<?php
include_once 'inc/mypetfarm/buy_animal.php';
include_once 'inc/mypetfarm/food.php';
include_once 'inc/mypetfarm/food_all.php';
include_once 'inc/mypetfarm/level.php';
include_once 'inc/mypetfarm/level_all.php';
include_once 'inc/mypetfarm/money.php';
include_once 'inc/mypetfarm/money_all.php';
include_once 'inc/mypetfarm/new_petground.php';
include_once 'inc/mypetfarm/sell_animal.php';
if ( isset( $_SESSION[ 'err' ] ) )
		{
				echo err_game( "Не хватает овощей в амбаре" );
				unset( $_SESSION[ 'err' ] );
		}
if ( isset( $_GET[ 'komp' ] ) )
		{
				mysql_query( "UPDATE `$db_base`.`kolhoz_user` SET `komp` = '" . ( $ku[ 'komp' ] == 1 ? "0" : "1" ) . "' WHERE `id` = '$ku[id]'" );
				header( "Location:?mypetfarm" );
		}
if ( $ku[ 'komp' ] == 0 )
		{
				echo "<div class='event'><h1>Загоны
<a href='?mypetfarm&komp'><img title='Компактный вид' width='16' height='16' src='images/icons/down.png' alt='o'></a>

<a href='?mypetfarm&reflesh=" . rand( 99999, 99999999 ) . "'><img title='Обновить' width='16' height='16' src='images/icons/refresh.png' alt='o'></a>&nbsp; ";
				if ( $ku[ 'hydropinics_time' ] > $time )
								echo "<a class='epic' href='?shop=hydropinics'><img title='Гидропоника' width='16' height='16' src='images/icons/hydropinics.png' alt='o'></a>&nbsp; ";
				if ( $ku[ 'scarecrow_time' ] > $time )
								echo "<a class='epic' href='?shop=scarecrow'><img title='Пугало' width='16' height='16' src='images/icons/scarecrow.png' alt='o'></a>&nbsp; ";
				if ( $ku[ 'time_shmel' ] > $time )
								echo "<a href='?shop=helicopter&1'><img title='Шмель' width='16' height='16' alt='o' src='images/icons/heli1n.png'></a>&nbsp; ";
				if ( $ku[ 'time_yastreb' ] > $time )
								echo "<a class='epic' href='?shop=helicopter&2'><img title='Ястреб' width='16' height='16' alt='o' src='images/icons/heli2n.png'></a>&nbsp; ";
				if ( $ku[ 'time_drakon' ] > $time )
								echo "<a class='epic' href='?shop=helicopter&3'><img title='Дракон' width='16' height='16' alt='o' src='images/icons/heli3n.png'></a> ";
				echo "</h1></div>";
		}
if ( $ku[ 'komp' ] == 1 )
		{
				echo "<div><h1>Загоны</h1></div><div class='content'>";
				echo "<div class='block'> <img width='16' height='16' src='images/icons/refresh.png' alt='o'> <a href='?mypetfarm&reflesh=" . rand( 99999, 99999999 ) . "'>Обновить</a>";
				if ( $ku[ 'hydropinics_time' ] > $time )
								echo "<li><img width='16' height='16' src='images/icons/hydropinics.png' alt='o'> <a class='epic' href='?shop=hydropinics'>Гидропоника</a><span class='minor'><span> $ku[hydropinics_type]%</span> на <span>" . time_left( $ku[ 'hydropinics_time' ] - $time ) . "</span></span></li>";
				if ( $ku[ 'scarecrow_time' ] > $time )
								echo "<li><img width='16' height='16' src='images/icons/scarecrow.png' alt='o'> <a class='epic' href='?shop=scarecrow'>Пугало</a><span class='minor'> на <span>" . time_left( $ku[ 'scarecrow_time' ] - $time ) . "</span></span></li>";
				if ( $ku[ 'time_shmel' ] > $time )
								echo "<li><img width='16' height='16' alt='o' src='images/icons/heli1n.png'> <a class='epic' href='?shop=helicopter&1'>Шмель</a><span class='minor'> на <span>" . time_left( $ku[ 'time_shmel' ] - $time ) . "</span></span></li>";
				if ( $ku[ 'time_yastreb' ] > $time )
								echo "<li><img width='16' height='16' alt='o' src='images/icons/heli2n.png'> <a class='epic' href='?shop=helicopter&2'>Ястреб</a><span class='minor'> на <span>" . time_left( $ku[ 'time_yastreb' ] - $time ) . "</span></span></li>";
				if ( $ku[ 'time_drakon' ] > $time )
								echo "<li><img width='16' height='16' alt='o' src='images/icons/heli3n.png'> <a class='epic' href='?shop=helicopter&3'>Дракон</a><span class='minor'> на <span>" . time_left( $ku[ 'time_drakon' ] - $time ) . "</span></span></li>";
				echo "<li><a href='?mypetfarm&komp'><img width='16' height='16' src='images/icons/up.png' alt='o'> Компактный вид</a></li>";
				echo "</div></div>";
		}
echo "<div class='content'><div class='block'>";
if ( $ku[ 'fooder' ] > 0 )
		{
				$q         = mysql_query( "SELECT * FROM `$db_base`.`kolhoz_petground` WHERE `id_user` = '$ku[id]' AND `id_pet` != '0'" );
				$count_gol = 0;
				while ( $post = mysql_fetch_array( $q ) )
						{
								$max_time  = $time + $post[ 'level' ] * ( 3600 * 4 );
								$mezh_time = $max_time - $post[ 'time' ];
								if ( $mezh_time >= 4 * 3600 )
												$count_gol++;
						}
				if ( $count_gol != 0 )
								echo "<div><img width='16' height='16' src='images/icons/plate.png' alt='o'> <a href='?mypetfarm&food_all'>Накормить всех</a></div>";
		}
if ( $ku[ 'conveyor' ] > 0 && !isset( $_GET[ 'moderate' ] ) )
		{
				$q      = mysql_query( "SELECT * FROM `$db_base`.`kolhoz_petground` WHERE `id_user` = '$ku[id]' AND `id_pet` != '0'" );
				$money2 = 0;
				while ( $post = mysql_fetch_array( $q ) )
						{
								$pet     = mysql_fetch_array( mysql_query( "SELECT * FROM `$db_base`.`kolhoz_pet` WHERE `id` = '$post[id_pet]'" ) );
								$d_money = floor( $post[ 'time_money2' ] / ( 4 * 3600 ) );
								if ( $d_money > 0 )
										{
												$nt                 = $post[ 'time_money2' ] - ( $d_money * 14400 );
												$count              = 1;
												$count_conveyor_act = 0;
												$count_vet_act      = 0;
												if ( isset( $conveyor_act ) )
																$count_conveyor_act = ( $count / 100 ) * $conveyor_act;
												if ( isset( $vet_act ) )
																$count_vet_act = ( $count / 100 ) * $vet_ps_m;
												$count  = $count_conveyor_act + $count_vet_act + $count;
												$money  = ( $count * $pet[ 'money' ] ) * $d_money;
												$money2 = $money2 + $money;
										}
						}
				if ( $money2 > 0 )
								echo "<div><img width='16' height='16' src='images/icons/harvest.png' alt='o'> <a href='?mypetfarm&money_all'>Продать все</a> за <span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span
class='title'>$money2</span></span></div>";
		}
echo "<div class='ptm'><ul>";
$q = mysql_query( "SELECT * FROM `$db_base`.`kolhoz_petground` WHERE `id_user` = '$ku[id]'" );
while ( $post = mysql_fetch_array( $q ) )
		{
				$pet = mysql_fetch_array( mysql_query( "SELECT * FROM `$db_base`.`kolhoz_pet` WHERE `id` = '$post[id_pet]'" ) );
				echo "<li><img width='48' height='48' src='" . ( $post[ 'id_pet' ] == 0 ? "images/dirt_new.jpg" : "images/pets/$pet[id].png" ) . "' alt='o' class='portrait'>";
				echo "<div>";
				if ( $post[ 'id_pet' ] == 0 )
						{
								echo "<img alt='o' width='16' height='16' src='images/icons/animal.png'> <a href='?mypetfarm&buy=$post[id]'>Купить животное</a>";
						}
				else
						{
								if ( !isset( $_GET[ 'moderate' ] ) )
										{
												echo "<span class='title'>" . hsc( $pet[ 'name' ] ) . "</span>";
												if ( $post[ 'time' ] > $time )
																echo "<span class='small minor'> (Сытость на " . time_left( $post[ 'time' ] - $time ) . ")</span>";
										}
								if ( isset( $_GET[ 'moderate' ] ) )
										{
												echo "<li><img alt='' width='16' height='16' src='images/icons/money.png'> <a href='?mypetfarm&sell=$post[id]'>Продать животное</a> за <span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>" . ( $pet[ 'cena' ] / 2 ) . "</span></span></li>";
												if ( $post[ 'level' ] < 20 )
														{
																$post[ 'next_level' ] = $post[ 'level' ] + 1;
																$money_all_levels     = 0;
																for ( $kp = $post[ 'next_level' ]; $kp <= 20; $kp++ )
																		{
																				$money_all_levels = $money_all_levels + $kp;
																		}
																echo "<li><img alt='' width='16' height='16' src='images/icons/up.png'> <a href='?mypetfarm&level=$post[id]'>Увеличить ёмкость</a> за <span><img
width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>$post[next_level] тыс.</span></span>
<span class='small minor'>(с $post[level] до $post[next_level])</span></li>
<li><img alt='' width='16' height='16' src='images/icons/up.png'> <a href='?mypetfarm&level_all=$post[id]'>Увеличить ёмкость</a> за <span><img
width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>$money_all_levels тыс.</span></span>
<span class='small minor'>(с $post[level] до 20)</span></li>";
														}
										}
								else
										{
												echo "<div>";
												$d_money = floor( $post[ 'time_money2' ] / ( 4 * 3600 ) );
												if ( $d_money > 0 )
														{
																$nt                 = $post[ 'time_money2' ] - ( $d_money * 14400 );
																$count              = 1;
																$count_conveyor_act = 0;
																$count_vet_act      = 0;
																if ( isset( $conveyor_act ) )
																				$count_conveyor_act = ( $count / 100 ) * $conveyor_act;
																if ( isset( $vet_act ) )
																				$count_vet_act = ( $count / 100 ) * $vet_ps_m;
																$count = $count_conveyor_act + $count_vet_act + $count;
																$money = ( $count * $pet[ 'money' ] ) * $d_money;
																echo "<img width='16' height='16' src='images/icons/money.png' alt='o'> <a class='' href='?mypetfarm&money=$post[id]'>Продать</a> за <span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span
class='title'>$money</span></span>";
														}
												else
														{
																$max_time  = $time + $post[ 'level' ] * ( 3600 * 4 );
																$mezh_time = $max_time - $post[ 'time' ];
																if ( $mezh_time >= 4 * 3600 )
																				echo "<img width='16' height='16' src='images/icons/plate.png' alt='o'> <a class='' href='?mypetfarm&food=$post[id]'><span>Покормить</span></a>";
														}
										}
						}
				echo "</div>";
				echo "<div style='clear:both'></div></li>";
		}
if ( mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_petground` WHERE `id_user` = '$ku[id]'" ), 0 ) < 25 )
				echo "<li><img width='48' height='48' src='images/dirt_new.jpg' alt='o' class='portrait'><div><span class='title'>Новый загон</span></div><div><img width='16' height='16' src='images/icons/cart.png' alt='o'> <a href='?mypetfarm&new_petground'>Купить</a>
за <span class='title'><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span>" . cpg( mysql_result( mysql_query( "SELECT COUNT(*) FROM `$db_base`.`kolhoz_petground` WHERE `id_user` = '$ku[id]'" ), 0 ) ) . "</span> рубинов</span></div><div style='clear:both'></div></li>";
echo "</ul>";
if ( isset( $_GET[ 'moderate' ] ) )
		{
				echo "<div class='ptm'><img alt='o' width='16' height='16' src='images/icons/moderate.png'> <a href='?mypetfarm'>Управление</a></div></div>";
		}
else
		{
				echo "<div class='ptm'><img alt='o' width='16' height='16' src='images/icons/moderate.png'> <a href='?mypetfarm&moderate'>Управление</a></div></div>";
		}
include_once 'inc/foot.php';
?>